path: /build/build/tdb-sys-libs-1.4.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-elibc_FreeBSD -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 python python_single_target_python3_9" emerge sys-libs/tdb -pv -t && \
    USE="-elibc_FreeBSD -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 python python_single_target_python3_9" emerge -j ${JOBS} --nodeps sys-libs/tdb
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/tdb && luet-portage --dir /pkgdir/tdb
    sys-libs/tdb && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4c210d33787f116c5c689673100e940f0a0202121cb72dd85bd857e375915254
  package:
    name: tdb
    version: 1.4.3
    category: sys-libs
    use_flags:
    - -elibc_FreeBSD
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - python
    - python_single_target_python3_9
    requires:
    - name: macaroni-funtoo-race12
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Simple database API
    uri:
    - https://tdb.samba.org/
    license: GPL-3
    buildtimestamp: 2023-09-02 20:31:38.308490808 +0000 UTC m=+174.896997667
    labels:
      BDEPEND: python_single_target_python3_7? ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) app-text/docbook-xml-dtd:4.2
      DEPEND: '!elibc_FreeBSD? ( dev-libs/libbsd ) python? ( python_single_target_python3_7?
        ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) )'
      IUSE: python python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
        python_single_target_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python3_10
      RDEPEND: '!elibc_FreeBSD? ( dev-libs/libbsd ) python? ( python_single_target_python3_7?
        ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) )'
      emerge.packages: sys-libs/tdb
      kit: core-server-kit
      original.package.name: sys-libs/tdb
      original.package.slot: "0"
      original.package.version: 1.4.3
    treedir: /build/packages
  package_dir: /pkgdir/tdb
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: eab2be824ba8e264cbbd095e7db0bb7237f19526d3fc36465403cf34e0303350
compressiontype: zstd
files:
- usr/bin/tdbbackup
- usr/bin/tdbdump
- usr/bin/tdbrestore
- usr/bin/tdbtool
- usr/include/tdb.h
- usr/lib/python3.9/site-packages/_tdb_text.py
- usr/lib/python3.9/site-packages/tdb.cpython-39-x86_64-linux-gnu.so
- usr/lib64/libtdb.so
- usr/lib64/libtdb.so.1
- usr/lib64/libtdb.so.1.4.3
- usr/lib64/pkgconfig/tdb.pc
- usr/share/man/man8/tdbbackup.8.bz2
- usr/share/man/man8/tdbdump.8.bz2
- usr/share/man/man8/tdbrestore.8.bz2
- usr/share/man/man8/tdbtool.8.bz2
- var/db/pkg/sys-libs/tdb-1.4.3/BDEPEND
- var/db/pkg/sys-libs/tdb-1.4.3/BUILD_TIME
- var/db/pkg/sys-libs/tdb-1.4.3/CATEGORY
- var/db/pkg/sys-libs/tdb-1.4.3/CBUILD
- var/db/pkg/sys-libs/tdb-1.4.3/CC
- var/db/pkg/sys-libs/tdb-1.4.3/CFLAGS
- var/db/pkg/sys-libs/tdb-1.4.3/CHOST
- var/db/pkg/sys-libs/tdb-1.4.3/CONTENTS
- var/db/pkg/sys-libs/tdb-1.4.3/COUNTER
- var/db/pkg/sys-libs/tdb-1.4.3/CXXFLAGS
- var/db/pkg/sys-libs/tdb-1.4.3/DEFINED_PHASES
- var/db/pkg/sys-libs/tdb-1.4.3/DEPEND
- var/db/pkg/sys-libs/tdb-1.4.3/DESCRIPTION
- var/db/pkg/sys-libs/tdb-1.4.3/EAPI
- var/db/pkg/sys-libs/tdb-1.4.3/FEATURES
- var/db/pkg/sys-libs/tdb-1.4.3/HOMEPAGE
- var/db/pkg/sys-libs/tdb-1.4.3/INHERITED
- var/db/pkg/sys-libs/tdb-1.4.3/IUSE
- var/db/pkg/sys-libs/tdb-1.4.3/IUSE_EFFECTIVE
- var/db/pkg/sys-libs/tdb-1.4.3/KEYWORDS
- var/db/pkg/sys-libs/tdb-1.4.3/LDFLAGS
- var/db/pkg/sys-libs/tdb-1.4.3/LICENSE
- var/db/pkg/sys-libs/tdb-1.4.3/NEEDED
- var/db/pkg/sys-libs/tdb-1.4.3/PF
- var/db/pkg/sys-libs/tdb-1.4.3/PROVIDES
- var/db/pkg/sys-libs/tdb-1.4.3/RDEPEND
- var/db/pkg/sys-libs/tdb-1.4.3/REQUIRES
- var/db/pkg/sys-libs/tdb-1.4.3/RESTRICT
- var/db/pkg/sys-libs/tdb-1.4.3/SIZE
- var/db/pkg/sys-libs/tdb-1.4.3/SLOT
- var/db/pkg/sys-libs/tdb-1.4.3/USE
- var/db/pkg/sys-libs/tdb-1.4.3/environment.bz2
- var/db/pkg/sys-libs/tdb-1.4.3/repository
- var/db/pkg/sys-libs/tdb-1.4.3/tdb-1.4.3.ebuild
package_cacheimage: ""
runtime:
  name: tdb
  version: 1.4.3
  category: sys-libs
  use_flags:
  - -elibc_FreeBSD
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - python
  - python_single_target_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Simple database API
  uri:
  - https://tdb.samba.org/
  license: GPL-3
  labels:
    BDEPEND: python_single_target_python3_7? ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) app-text/docbook-xml-dtd:4.2
    DEPEND: '!elibc_FreeBSD? ( dev-libs/libbsd ) python? ( python_single_target_python3_7?
      ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) )'
    IUSE: python python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
      python_single_target_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python3_10
    RDEPEND: '!elibc_FreeBSD? ( dev-libs/libbsd ) python? ( python_single_target_python3_7?
      ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) )'
    emerge.packages: sys-libs/tdb
    kit: core-server-kit
    original.package.name: sys-libs/tdb
    original.package.slot: "0"
    original.package.version: 1.4.3
